Skip to main content

Site Navigation

Your Account

Choose Language

Help

Original post by: OpenROV (Sofar) ,

Text:

Yes the IMU that we sell in the store is supported on the OpenROV v2.8!

-Brian G.

Status:

open